import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DatasetProfileEditorComponent } from './editor/dataset-profile-editor.component';
import { DatasetProfileListingComponent } from './listing/dataset-profile-listing.component';

const routes: Routes = [
	{
		path: 'new',
		component: DatasetProfileEditorComponent,
		data: {
			title: 'GENERAL.TITLES.DATASET-PROFILES-NEW'
		}
	},
	{
		path: ':id',
		component: DatasetProfileEditorComponent,
		data: {
			title: 'GENERAL.TITLES.DATASET-PROFILES-EDIT'
		}
	},
	{
		path: 'clone/:cloneid',
		component: DatasetProfileEditorComponent,
		data: {
			title: 'GENERAL.TITLES.DATASET-PROFILES-CLONE'
		}
	},
	{
		path: 'newversion/:newversionid',
		component: DatasetProfileEditorComponent,
		data: {
			title: 'GENERAL.TITLES.DATASET-PROFILES-NEW-VERSION'
		}
	},
	{
		path: 'versions/:groupId',
		component: DatasetProfileListingComponent,
	},
	{
		path: '',
		component: DatasetProfileListingComponent,
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class DatasetProfileRoutingModule { }
